SHA224SUM(1)

NAME
sha224sum - compute and check SHA224 message digest

SYNOPSIS
sha224sum [OPTION]... [FILE]...

DESCRIPTION

Print or check SHA224 (224-bit) checksums. With no FILE, or when FILE is -, read standard input.

-b, --binary
    read in binary mode

-c, --check
    read SHA224 sums from the FILEs and check them

-t, --text
    read in text mode (default)

  The following three options are useful only when verifying checksums:

--quiet
    don't print OK for each successfully verified file

--status
    don't output anything, status code shows success

-w, --warn
    warn about improperly formatted checksum lines

--strict
    with --check, exit non-zero for any invalid input

--help
    display this help and exit

--version
    output version information and exit

The sums are computed as described in RFC 3874. When checking, the input should be a former output of this program. The default mode is to print a line with checksum, a character indicating input mode (`*' for binary, space for text), and name for each FILE.

AUTHOR
Written by Ulrich Drepper, Scott Miller, and David Madore.

REPORTING BUGS
Report sha224sum bugs to bug-coreutils@gnu.org
GNU coreutils home page: <http://www.gnu.org/software/coreutils/>
General help using GNU software: <http://www.gnu.org/gethelp/>
Report sha224sum translation bugs to <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2011 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for sha224sum is maintained as a Texinfo manual. If the info and sha224sum programs are properly installed at your site, the command

    info coreutils 'sha224sum invocation'

should give you access to the complete manual.